## deepin-pdfium 1.0.2%2Brb1

=== debian/changelog ===
deepin-pdfium (1.0.2+rb1) stable; urgency=medium

  * update V6 base line version to 1.0.2

 -- lvwujun <lvwujun@uniontech.com>  Wed, 2 Aug 2023 11:43:21 +0800

deepin-pdfium (1.0.1) stable; urgency=medium

  * update V6 base line version.

 -- lvwujun <lvwujun@uniontech.com>  Tue, 04 Jan 2023 17:26:29 +0800

deepin-pdfium (1.0.0) unstable; urgency=medium

  * Initial Release.

 -- unknown <lixianga@uniontech.com>  Tue, 09 Nov 2021 11:31:29 +0800
