=== debian/changelog ===
deepin-pdfium (1.5.1) unstable; urgency=medium

  * adapt to Qt6

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 03 Jan 2025 16:49:00 +0800

deepin-pdfium (1.5.0) unstable; urgency=medium

  * adapt to Qt6

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 30 Dec 2024 14:53:33 +0800

deepin-pdfium (1.0.2) stable; urgency=medium

  * update V6 base line version to 1.0.2

 -- lvwujun <lvwujun@uniontech.com>  Wed, 2 Aug 2023 11:43:21 +0800
