## deepin-pdfium 1.5.3

=== debian/changelog ===
deepin-pdfium (1.5.3) unstable; urgency=medium

  * Improves the way the application handles PDF files located on remote filesystems like SMB:
  * Update version to 1.5.3

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 29 Apr 2025 11:41:36 +0800

deepin-pdfium (1.5.2) unstable; urgency=medium

  * both build Qt6 and Qt5

 -- re2zero <yangwu@uniontech.com>  Tue, 22 Apr 2025 19:42:57 +0800
