## deepin-pdfium 1.5.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,18 @@
 cmake_minimum_required(VERSION 3.15)
 
 set(VERSION "1.0.0" CACHE STRING "PDF rendering library based on PDFium")
+
+# Normalize VERSION format to handle irregular inputs
+if(DEFINED VERSION)
+    # Extract major.minor.patch from VERSION string (e.g., from "1.5.8+u001" to "1.5.8")
+    if(VERSION MATCHES "^([0-9]+\\.[0-9]+\\.[0-9]+)")
+        set(VERSION "${CMAKE_MATCH_1}")
+    else()
+        # If no valid semver found, default to "1.0.0"
+        set(VERSION "1.0.0")
+        message(WARNING "VERSION does not match semver format, defaulted to ${VERSION}")
+    endif()
+endif()
 
 project(deepin-pdfium
     VERSION ${VERSION}
@@ -39,13 +51,13 @@
 )
 add_definitions(-DSYSTEMPAGESIZE=${SYSTEM_PAGE_SIZE})
 
-# Qt6必须放前面，否则高版本cmake存在问题
-find_package(Qt6 COMPONENTS Core Gui QUIET)
-find_package(Qt5 COMPONENTS Core Gui QUIET)
+# Auto-detect Qt version (tries Qt6 first, falls back to Qt5)
+find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core)
+message(STATUS "Found Qt version: ${QT_VERSION_MAJOR}")
 
-if(NOT Qt5_FOUND AND NOT Qt6_FOUND)
-    message(FATAL_ERROR "Neither Qt5 nor Qt6 found - please install at least one")
-endif()
+# Find Qt with the detected version
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui)
+
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(DEPS REQUIRED
     chardet
@@ -79,19 +91,5 @@
 set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/deepin-pdfium)
 set(LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR})
 
-# 创建Qt5版本库
-if(Qt5_FOUND)
-    message(STATUS ">>> Enable Qt5 version of the library")
-    set(QT_DESIRED_VERSION 5)
-    set(TARGET_NAME ${PROJECT_NAME}5)
-    include(target.cmake)
-endif()
-
-# 创建Qt6版本库
-if(Qt6_FOUND)
-    message(STATUS ">>> Enable Qt6 version of the library")
-    # keep the same project name for Qt6 in order to compability with other applications, ie. DFM
-    set(QT_DESIRED_VERSION 6)
-    set(TARGET_NAME ${PROJECT_NAME})
-    include(target.cmake)
-endif()
+set(TARGET_NAME ${PROJECT_NAME})
+include(target.cmake)
