=== debian/changelog ===
deepin-pdfium (1.5.8) unstable; urgency=medium

  * chore: Adjusted build and packaging strategy

 -- wangrong <wangrong@uniontech.com>  Wed, 26 Nov 2025 13:29:39 +0800
