=== debian/control ===
Source: deepin-pdfium
Section: libdevel
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends: debhelper (>= 11),
 cmake,
 qt6-base-dev,
 qt6-tools-dev-tools,
 pkg-config,
 libjpeg-dev,
 libicu-dev,
 libpng-dev,
 zlib1g-dev,
 liblcms2-dev,
 libopenjp2-7-dev,
 libfreetype6-dev,
 libgtest-dev,
 libchardet-dev
Standards-Version: 4.3.0

Package: libdeepin-pdfium
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A libaray about PDF.
 A library for parsing and editing and displaying PDF.

Package: libdeepin-pdfium-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdeepin-pdfium
Description: A libaray about PDF dev.
 A libaray that provides for parsing and editing and displaying PDF interface dev.
